Bug 1417399 - Incorrect section/command for generating capsule certs-tar
Summary: Incorrect section/command for generating capsule certs-tar
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Install Guide
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Unspecified
Assignee: Russell Dickenson
QA Contact: Charles Wood
URL:
Whiteboard:
Depends On: 1417734 1426416
Blocks: 1420975
TreeView+ depends on / blocked
 
Reported: 2017-01-28 17:57 UTC by Craig Donnelly
Modified: 2020-03-11 15:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-21 23:13:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1417734 0 high CLOSED katello-certs-check needs to provide differentiating data for capsule-certs-generate to avoid error 2021-02-22 00:41:40 UTC

Internal Links: 1417734 1426416

Description Craig Donnelly 2017-01-28 17:57:41 UTC
Document URL: https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/installation-guide/chapter-4-installing-capsule-server

Section Number and Name: 4.7.5.2 - Create the Capsule Server’s Certificates Archive File

Describe the issue: 

Incorrect instructions documented for creating the certs-tar for a capsule.
Section as it exists:

C. Run the resulting command on the Satellite Server. The key parameter in this command is --certs-update-server, which indicates that the existing certificates are to be updated.

# capsule-certs-generate --capsule-fqdn "capsule.example.com"\
  --certs-tar  "/root/sat_cert/capsule_certs.tar"\
  --server-cert "/root/sat_cert/satellite_cert.pem"\
  --server-cert-req "/root/sat_cert/satellite_cert_csr.pem"\
  --server-key "/root/sat_cert/satellite_cert_key.pem"\
  --server-ca-cert "/root/sat_cert/ca_cert_bundle.pem"\
  --certs-update-server

Suggestions for improvement: 

Remove section C, as this is false for creating a certs-tar used for a capsule. '--certs-update-server' is not going to have any effect on a freshly created certs bundle, especially one not related to the Satellite.

Remove --certs-update-server from the command.

If the command is run with --certs-update-server now and the folder for the hostname of the capsule doesn't exist, the command will fail out with a traceback. If we remove this option, it will perform its job correctly.

Comment 10 Andrew Dahms 2017-02-21 23:13:22 UTC
This content is live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.